client.h File Reference

MPD client library. More...

Go to the source code of this file.

## Detailed Description

MPD client library.

This is a client library for the Music Player Daemon, written in C.

You can choose one of several APIs, depending on your requirements:

- struct mpd_async: a very low-level asynchronous API which knows the protocol syntax, but no specific commands
- struct mpd_connection: a basic synchronous API which knows all MPD commands and parses all responses

Author
  Max Kellermann (max@d.nosp@m.uemp.nosp@m.el.or.nosp@m.g)

Definition in file client.h.